Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Class FilePushStore

    java.lang.Object
      org.hornetq.rest.queue.push.FilePushStore

All Implemented Interfaces:
  PushStore

Direct Known Subclasses:
  FileTopicPushStore

    public class FilePushStore

extends java.lang.Object
implements PushStore

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected javax.xml.bind.JAXBContext` | `ctx`
`protected java.io.File` | `dir`
`protected java.util.Map<java.lang.String,PushRegistration>` | `map`

Constructor Summary
`FilePushStore(java.lang.String dirname)`

Method Summary
`void` | `add(PushRegistration reg)`
`java.util.List<PushRegistration>` | `getByDestination(java.lang.String destination)`
`java.util.List<PushRegistration>` | `getRegistrations()`
`void` | `remove(PushRegistration reg)`
`void` | `removeAll()`
`protected void` | `save(PushRegistration reg)`
`void` | `update(PushRegistration reg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected java.util.Map<java.lang.String,PushRegistration> map

### dir

    protected java.io.File dir

### ctx

    protected javax.xml.bind.JAXBContext ctx

Constructor Detail

### FilePushStore

    public FilePushStore(java.lang.String dirname)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getRegistrations

    public java.util.List<PushRegistration> getRegistrations()

### getByDestination

    public java.util.List<PushRegistration> getByDestination(java.lang.String destination)

  Specified by:
    `getByDestination` in interface `PushStore`

### update

    public void update(PushRegistration reg)
                throws java.lang.Exception

  Specified by:
    `update` in interface `PushStore`
  Throws:
    `java.lang.Exception`

### save

    protected void save(PushRegistration reg)
                 throws javax.xml.bind.JAXBException

  Throws:
    `javax.xml.bind.JAXBException`

### add

    public void add(PushRegistration reg)
             throws java.lang.Exception

  Specified by:
    `add` in interface `PushStore`
  Throws:
    `java.lang.Exception`

### remove

    public void remove(PushRegistration reg)
                throws java.lang.Exception

  Specified by:
    `remove` in interface `PushStore`
  Throws:
    `java.lang.Exception`

### removeAll

    public void removeAll()
                   throws java.lang.Exception

  Specified by:
    `removeAll` in interface `PushStore`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.